# $Revision: 1.9 $, $Date: 2006/12/12 23:52:55 $
Summary:	Collecting and processing NetFlow data
Summary(pl):	Gromadzenie i przetwarzanie informacji o przepywie w sieci
Name:		flow-tools
Version:	0.68
Release:	3
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.eng.oar.net/pub/flow-tools/%{name}-%{version}.tar.gz
# Source0-md5:	c9e0a8b53c79611b6bffcb9d510a5a38
Patch0:		%{name}-shared.patch
URL:		http://www.splintered.net/sw/flow-tools/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	sed >= 4.0
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	libwrap-devel >= 7.6-32
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	%{_sysconfdir}/%{name}

%description
This is a software package for collecting and processing NetFlow data
from Cisco and Juniper routers.

%description -l pl
Jest to oprogramowanie suce do gromadzenia i przetwarzania
informacji o przepywie w sieci (NetFlow) z routerw Cisco i Juniper.

%package libs
Summary:	flow-tools library
Summary(pl):	Biblioteka flow-tools
Group:		Libraries
Conflicts:	flow-tools < 0.67-2

%description libs
flow-tools library.

%description libs -l pl
Biblioteka flow-tools.

%package devel
Summary:	Header files flow-tools library
Summary(pl):	Pliki nagwkowe biblioteki flow-tools
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	zlib-devel

%description devel
This package contains header files for flow-tools library.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe biblioteki flow-tools.

%package static
Summary:	Static flow-tools library
Summary(pl):	Statyczna biblioteka flow-tools
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static flow-tools library.

%description static -l pl
Statyczna biblioteka flow-tools.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '1s,#.*bin/python,#!%{__python},' bin/flow-log2rrd bin/flow-rpt2rrd bin/flow-rptfmt

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
#	--with-mysql
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL NEWS README SECURITY TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libft.so.*.*.*
%{_localstatedir}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libft.so
%{_libdir}/libft.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libft.a

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: flow-tools.spec,v $
Revision 1.9  2006/12/12 23:52:55  glen
- fix python path; rel 3

Revision 1.8  2006/12/08 00:59:43  glen
- rel 2

Revision 1.7  2006/05/10 12:39:40  darekr
- fix %files - use defined macro

Revision 1.6  2006/03/11 23:42:36  maciek2w
- updated to 0.68

Revision 1.5  2004/05/08 23:56:55  qboosh
- added shared patch, build and use shared lib
- added missing BR: libwrap-devel, zlib-devel

Revision 1.4  2004/03/05 22:25:02  adamg
- updated to 0.67

Revision 1.3  2003/09/25 08:50:03  ankry
- some translations, cleaning

Revision 1.2  2003/09/24 21:38:45  arekm
- devel doesn't require main package

Revision 1.1  2003/09/24 21:36:54  arekm
- initial pld release
